0

I have downloaded virtualbox 5.1 from the virtualbox website but I can't install it. When I open the .deb file with ubuntu software and I click on Install, it doesn't do nothing. I also tried from the command line, but it says that there's an error on the dependencies. I also tried by adding the repository and then download the package, but it says that it's not available.

Help me, please!

Thanks.

  • 1
    What did you download and from where? What error messages? Please edit and post the error message in its entirety. – user692175 Aug 3 '17 at 11:17
  • Virtualbox 5.1 is in the current set of packages for Ubuntu show you shouldn't normally need to download the .deb file manually. Just use the software package manager to install it and it will automatically take care of any dependencies. – StarNamer Aug 3 '17 at 12:04
  • 1
    Execute the process from the official virtualbox site and you should have no problems. virtualbox.org/wiki/Linux_Downloads – Organic Marble Aug 3 '17 at 12:24
  • Are you sure you actually added the PPA? – edwinksl Aug 3 '17 at 12:29
0

Try running this

$ echo deb http://download.virtualbox.org/virtualbox/debian xenial contrib | sudo tee -a /etc/apt/sources.list.d/virtualbox.list
$ wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
$ sudo apt-get update
$ sudo apt-get install virtualbox-5.1

After it finishes installing run

sudo apt-get update && sudo apt-get upgrade

just to make sure you got the latest version

0
  1. Verify you downloaded the correct package i386/amd64 from https://www.virtualbox.org/wiki/Linux_Downloads

  2. sudo dpkg -i virtualbox*.deb It throws dependencies error

  3. sudo apt-get -f install
  4. run sudo dpkg -i virtualbox*.deb again.

You can easily install from ppa sudo apt-get install virtualbox

  • I tried it but doesn't work. :( – An unknown developer Aug 3 '17 at 12:12
  • can you update ur question with the os version? 32/64 and which error have you got? run sudo apt-get update && sudo apt-get upgrade – saviour123 Aug 3 '17 at 12:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.